# Terminale NSI - LGT Tani Malandi
# 2022-2023 - David TOCAVEN
# Les tuples
# Correction de l'exercice 1 

# Source de l'exercice : https://www.numerique-sciences-informatiques.fr/puplets.php


"""
Exercice 1 : 
En utilisant les tuples pour les coordonnées x,y de points dans un répère du plan, créer une fonction qui calcule la distance entre deux points d'un repère orthonormé. 
"""
from math import sqrt

# Définition de la fonction distance_points
def distance_points(a,b):
	"""
	Calcul de la distance entre deux points dans un repère
	orthonormé.
	Nécessite sqrt de la librairie math.
	distance = sqrt( (xa-xb)^2 + (ya-yb)^2 )
	
	@param a (x:int, y:int) : tuple contenant les coordonnées x, y du premier point.
	@param b (x:int, y:int) : tuple contenant les coordonnées x, y du second point.
	@return : la distance

	"""
	return sqrt( (a[0]-b[0])**2 + (a[1]-b[1])**2 )
	
# main 

a = (0,0)  # premier point
b = (1,3)  # second point

dist = distance_points(a,b) # la distance

print("La distance entre a",a, "et b",b, "est de", dist)

